using System;
class SudarBrojeva
{
    static void Main()
    {
        long i=0,cx=0,cy=0,j;
        int br;
        long x=long.Parse(Console.ReadLine());
        long y=long.Parse(Console.ReadLine());
        int[] b=new int[Math.Pow((x+y),2)];
        while(x>0 || y>0)
        {
            br=0;
            if(x>0 && y>0)
            {
                cx=x%10;
                cy=y%10;
            }
            else if(x<=0 && y>0)
            {
                cx=0;
                cy=y%10;
                br++;
            }
            else if(x>0 && y<=0)
            {
                cx=x%10;
                cy=0;
                br++;
            }
            if(cx<cy)
            {
                b[i]=cy;
            }
            else if(cx>cy)
            {
                b[i]=cx;
            }
            else if(cx==cy && br==0)
            {
                b[i]=cx;
                i++;
                b[i]=cy;
            }
            y/=10;
            x/=10;
            i++;
        }
        for(j=i-1; j>=0; j++)
        {
            Console.Write(b[i]);
        }
    }
}